import { z } from 'zod';

export const QueryPagination = z
  .object({
    limit: z.number().int().nonnegative(),
    skip: z.number().int().nonnegative(),
  })
  .partial();

export type QueryPagination = z.infer<typeof QueryPagination>;

export const SimpleResult = z.object({
  success: z.boolean(),
});

export type SimpleResult = z.infer<typeof SimpleResult>;

export const CountResult = z.object({
  count: z.number(),
});

export type CountResult = z.infer<typeof CountResult>;
